Bug 1237199 (CVE-2015-5059) - CVE-2015-5059 mantis: information disclosure due to too wide $g_view_proj_doc_threshold permission
Summary: CVE-2015-5059 mantis: information disclosure due to too wide $g_view_proj_doc...
Status: CLOSED UPSTREAM
Alias: CVE-2015-5059
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20150624,repo...
Keywords: Security
Depends On: 1237200 1237201
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-30 14:09 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:38 UTC (History)
2 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:42:05 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-06-30 14:09:43 UTC
In MantisBT, the "Project Documentation" feature can be used to attach files to a project.
When this feature is enabled ($g_enable_project_documentation = ON) and the threshold to view these files is left to its default value ($g_view_proj_doc_threshold = ANYBODY), any registered user in the system can download every such attachment, including those which are linked to private projects to which the user does not have access.
This can be achieved by calling the download script directly, and specifying the ID of the file to download, e.g.

http://example.com/mantis/file_download.php?file_id=123&type=doc

Affected versions:
- <= 1.2.19
- <= 1.3.0-beta.2

Originally reported on http://seclists.org/oss-sec/2015/q2/791
Upstream patches:
 - 1.2.x: http://github.com/mantisbt/mantisbt/commit/f39cf525
 - 1.3.x: http://github.com/mantisbt/mantisbt/commit/a4be76d6

Comment 1 Vasyl Kaigorodov 2015-06-30 14:10:06 UTC
Created mantis tracking bugs for this issue:

Affects: fedora-all [bug 1237200]
Affects: epel-all [bug 1237201]

Comment 2 Fedora Update System 2015-08-07 13:08:40 UTC
mantis-1.2.19-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-08-07 13:12:52 UTC
mantis-1.2.19-3.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-08-08 20:03:25 UTC
mantis-1.2.19-3.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Product Security DevOps Team 2019-06-08 02:42:05 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.